#pragma once
#include "main.h"

class myCamera
{
public:
	myCamera(void);
	~myCamera(void);

	bool init();
	void useCamera();
	void clean();

	void rotateCameraXZ(void* data);
	void rotateCameraY(void* data);

private:
	D3DXVECTOR3 m_position;
	D3DXVECTOR3 m_target;
	D3DXVECTOR3 m_up;

	D3DXMATRIX	m_world;
	D3DXMATRIX	m_view;
	D3DXMATRIX	m_projection;

	float theta;
};
